Subject: As a content editor I'd like to see the Publish button only if I can use it
Description

- hide button if no changes are pending
- show button if changes are pending
- relabel the button to "Publish"

The "Publish Page" button is visible (but deactivated) even if nothing is to be published. It should only be visible if there are pending
changes.
Later on, the Publish button should lead to a dedicated screen for reviewing changes if there are changes from more than one page
pending. This story doesn't cover that functionality, but as it is planned, the label of the button should already be changed to just
"Publish".

History
#1 - 2012-08-28 11:56 - Robert Lemke
- File bonfire-screenshot-20120309-100201-100.png added

#2 - 2012-08-28 11:57 - Robert Lemke
- Position deleted (1)
- Position set to 2

#3 - 2012-08-28 12:00 - Robert Lemke
- Subject changed from  As a content editor I'd like to see the Publish button only if I can use it. to As a content editor I'd like to see the Publish button 
only if I can use it

#4 - 2012-09-04 14:57 - Sebastian Kurfuerst

I disagree here; at least when we introduced the button we explicitely decided to keep it visible all the time; as we wanted to follow the same guidelines
as apple in this regard: All UI elements are visible always; we just disable them.

#5 - 2012-09-07 09:40 - Sebastian Kurfuerst
- Target version set to Sprint 10 (1.0 TP1)
- Position deleted (35)
- Position set to 18

#6 - 2012-09-07 09:40 - Sebastian Kurfuerst
- Status changed from New to Rejected
- Position deleted (18)
- Position set to 18

Files
bonfire-screenshot-20120309-100201-100.png 19.5 kB 2012-08-28 Robert Lemke
